﻿body {
    padding-top: 50px;
    height: 100vh;
    width: 100vw;
    overflow-y: hidden;
    overflow-x: hidden;
}

main {
    display: flex;
    flex-flow: column;
    height: 100%;
    margin-top: 0px;
}

#layoutBodyFooterContainer {
    margin-top: 0px;
    flex: 1 1 auto;
    height: 100%;
    margin-bottom: 50px;
    overflow-y: auto;
    overflow-x: hidden;
}

a:hover {
    cursor: pointer;
}

.index-container {
	z-index: 2;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

.border-top {
	border-top: 1px solid #dfdfdf;
}

.border-bottom {
	border-bottom: 1px solid #dfdfdf;
}


/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

.vertical-line {
	width: 1px;
	height: 100%;
	min-height: 12px;

	margin: 3px 5px;
	float: left;

	background-color: #9b9b9b;
}

#youtubeVideoModal .modal-dialog {
    margin-left: 26%;
}

#youtubeVideoPlayer {
    width: 50vw;
    height: 80vh;
}

.btn-circle {
	width: 32px;
	height: 32px;

	margin: 0;
	padding: 8px 0;

	background-color: transparent;

	text-align: center;
	font-size: 12px;
	line-height: 1.42;

	border-radius: 3.6rem;
}

.btn-circle i {
	margin: 0;
}


/** Btn-fil-outline **/
.btn-fil-outline, .btn-outline-style {
    display: inline-block;
    position: relative;
    cursor: pointer;
    outline: none;
    white-space: nowrap;
    padding: 0 18px;
    font-size: 14px;
    height: 33px;
    line-height: 32px;
    background-color: rgba(255, 255, 255, 0);
    color: #737373;
    font-weight: 400;
    border: none;
}

body:not(.device-touch) .btn-fil-outline {
    -webkit-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

.btn-fil-outline:hover {
    background-color: #444;
    color: #FFF;
    text-shadow: 1px 1px 1px rgba(0,0,0,0.2);
}

.btn-fil-outline.btn-rounded {
    border-radius: 4px;
}

.btn-fil-outline.btn-primary {
    background-color: #3d92cb;
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff39a5dc', endColorstr='#ff0088ce', GradientType=0);
    color: #fff;
    font-weight: 400;
    font-size: 14px;
    text-align: center;
    vertical-align: middle;
}

.btn-fil-outline.fixed-size {
	width: 100%;
	min-width: 50px;

	padding: 0px 5px;

    overflow: hidden;
    text-overflow: ellipsis;
}

.btn-fil-outline.borderyellow {
    color: #ffc700;
    border: 1px solid #ffc700;
}

.btn-fil-outline.borderyellow:hover {
    color: #fff;
    background-color: #ffc700;
}

.btn-fil-outline.borderred {
    color: #f05050;
    border: 1px solid #f05050;
}

.btn-fil-outline.borderred:hover {
    color: #fff;
    background-color: #f05050;
}

.btn-fil-outline.borderblue {
    color: #3b91ca;
    border: 1px solid #3b91ca;
}

.btn-fil-outline.borderblue:hover {
    color: #fff;
    background-color: #3b91ca;
}

.btn-fil-outline.borderblue[disabled],
.btn-fil-outline.borderblue[disabled]:hover {
    background-color: #fff;
    border-color: #ccc;
    color: #ccc;
    cursor: not-allowed;
    text-shadow: none;
}

.btn-fil-outline.bordergreen {
    color: #17c66d;
    border: 1px solid #17c66d;
}


    .btn-fil-outline.bordergreen:hover {
        color: #fff;
        background-color: #17c66d;
    }

    .btn-fil-outline.bordergreen:hover {
        color: #fff;
        background-color: #17c66d;
    }

.btn-fil-outline.borderflgrey {
    color: #9b9b9b;
    border: 1px solid #9b9b9b;
}

.btn-fil-outline.borderflgrey:hover {
    color: #fff;
    background-color: #9b9b9b;
}

.btn-fil-outline,
.btn-fil-outline i, .btn-outline-style, .btn-outline-style i {
    position: relative;

    margin-right: 5px;

    line-height: 0.8;
}

.btn-fil-outline div,
.btn-fil-outline-two-icons div,
.btn-fil-outline span {
	height: 12px;
	
	line-height: 12px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}


.btn-fil-outline-two-icons div {
	width: 100%;
	float: left;
}

.btn-fil-outline-two-icons div {
	max-width: calc(100% - 40px);	
}

.btn-fil-outline-two-icons {
	max-width: 270px;
	height: 32px;
	line-height: 32px;

	padding: 0 22px;

	float: left;
	display: inline-block;
	
	position: relative;
	
	cursor: pointer;
	outline: none;
	white-space: nowrap;

	font-size: 14px;
	font-weight: 400;

	border: none;

	background-color: rgba(255, 255, 255, 0);
	color: #737373;
}

.btn-fil-outline-two-icons i.left-icon {
	width: 10%;
}
.btn-fil-outline-two-icons i.right-icon {
	width: 10%;
}

.btn.btn-rounded.export-selected-leads {
	max-width: 270px;
}

.btn-fil-outline, .btn-outline-style {
    overflow: visible;
}

/* Tables */
.al-table-td-tools-container {
	white-space: nowrap;
}

span.text-ellipsies,
p.text-ellipsies,
div.text-ellipsies,
.text-ellipsies {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}


.dropdown-menu.open .dropdown-menu.inner li {

}

.dropdown-menu.open .dropdown-menu.inner li a span:first-child {
    max-width: 75%;
	display: inline-block;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.filter-types .dropdown-menu.open .dropdown-menu.inner li a span {
    width: -webkit-fill-available;
}
















/* ----------------------------------------------------------------
	Generic Padding Helpers 
-----------------------------------------------------------------*/


.p-t-0 {
  padding-top: 0px !important;
}
.p-r-0 {
  padding-right: 0px !important;
}
.p-l-0 {
  padding-left: 0px !important;
}
.p-b-0 {
  padding-bottom: 0px !important;
}
.padding-0 {
  padding: 0px !important;
}
.p-t-5 {
  padding-top: 5px !important;
}
.p-r-5 {
  padding-right: 5px !important;
}
.p-l-5 {
  padding-left: 5px !important;
}
.p-b-5 {
  padding-bottom: 5px !important;
}
.padding-5 {
  padding: 5px !important;
}
.p-t-10 {
  padding-top: 10px !important;
}
.p-r-10 {
  padding-right: 10px !important;
}
.p-l-10 {
  padding-left: 10px !important;
}
.p-b-10 {
  padding-bottom: 10px !important;
}
.padding-10 {
  padding: 10px !important;
}
.p-t-15 {
  padding-top: 15px !important;
}
.p-r-15 {
  padding-right: 15px !important;
}
.p-l-15 {
  padding-left: 15px !important;
}
.p-b-15 {
  padding-bottom: 15px !important;
}
.padding-15 {
  padding: 15px !important;
}
.p-t-20 {
  padding-top: 20px !important;
}
.p-r-20 {
  padding-right: 20px !important;
}
.p-l-20 {
  padding-left: 20px !important;
}
.p-b-20 {
  padding-bottom: 20px !important;
}
.padding-20 {
  padding: 20px !important;
}
.p-t-25 {
  padding-top: 25px !important;
}
.p-r-25 {
  padding-right: 25px !important;
}
.p-l-25 {
  padding-left: 25px !important;
}
.p-b-25 {
  padding-bottom: 25px !important;
}
.padding-25 {
  padding: 25px !important;
}
.p-t-30 {
  padding-top: 30px !important;
}
.p-r-30 {
  padding-right: 30px !important;
}
.p-l-30 {
  padding-left: 30px !important;
}
.p-b-30 {
  padding-bottom: 30px !important;
}
.padding-30 {
  padding: 30px !important;
}
.p-t-35 {
  padding-top: 35px !important;
}
.p-r-35 {
  padding-right: 35px !important;
}
.p-l-35 {
  padding-left: 35px !important;
}
.p-b-35 {
  padding-bottom: 35px !important;
}
.padding-35 {
  padding: 35px !important;
}
.p-t-40 {
  padding-top: 40px !important;
}
.p-r-40 {
  padding-right: 40px !important;
}
.p-l-40 {
  padding-left: 40px !important;
}
.p-b-40 {
  padding-bottom: 40px !important;
}
.padding-40 {
  padding: 40px !important;
}
.p-t-45 {
  padding-top: 45px !important;
}
.p-r-45 {
  padding-right: 45px !important;
}
.p-l-45 {
  padding-left: 45px !important;
}
.p-b-45 {
  padding-bottom: 45px !important;
}
.padding-45 {
  padding: 45px !important;
}
.p-t-50 {
  padding-top: 50px !important;
}
.p-r-50 {
  padding-right: 50px !important;
}
.p-l-50 {
  padding-left: 50px !important;
}
.p-b-50 {
  padding-bottom: 50px !important;
}
.padding-50 {
  padding: 50px !important;
}
.p-t-55 {
  padding-top: 55px !important;
}
.p-r-55 {
  padding-right: 55px !important;
}
.p-l-55 {
  padding-left: 55px !important;
}
.p-b-55 {
  padding-bottom: 55px !important;
}
.padding-55 {
  padding: 55px !important;
}
.p-t-60 {
  padding-top: 60px !important;
}
.p-r-60 {
  padding-right: 60px !important;
}
.p-l-60 {
  padding-left: 60px !important;
}
.p-b-60 {
  padding-bottom: 60px !important;
}
.padding-60 {
  padding: 60px !important;
}
.p-t-65 {
  padding-top: 65px !important;
}
.p-r-65 {
  padding-right: 65px !important;
}
.p-l-65 {
  padding-left: 65px !important;
}
.p-b-65 {
  padding-bottom: 65px !important;
}
.padding-65 {
  padding: 65px !important;
}
.p-t-70 {
  padding-top: 70px !important;
}
.p-r-70 {
  padding-right: 70px !important;
}
.p-l-70 {
  padding-left: 70px !important;
}
.p-b-70 {
  padding-bottom: 70px !important;
}
.padding-70 {
  padding: 70px !important;
}
.p-t-75 {
  padding-top: 75px !important;
}
.p-r-75 {
  padding-right: 75px !important;
}
.p-l-75 {
  padding-left: 75px !important;
}
.p-b-75 {
  padding-bottom: 75px !important;
}
.padding-75 {
  padding: 75px !important;
}
.p-t-80 {
  padding-top: 80px !important;
}
.p-r-80 {
  padding-right: 80px !important;
}
.p-l-80 {
  padding-left: 80px !important;
}
.p-b-80 {
  padding-bottom: 80px !important;
}
.padding-80 {
  padding: 80px !important;
}
.p-t-85 {
  padding-top: 85px !important;
}
.p-r-85 {
  padding-right: 85px !important;
}
.p-l-85 {
  padding-left: 85px !important;
}
.p-b-85 {
  padding-bottom: 85px !important;
}
.padding-85 {
  padding: 85px !important;
}
.p-t-90 {
  padding-top: 90px !important;
}
.p-r-90 {
  padding-right: 90px !important;
}
.p-l-90 {
  padding-left: 90px !important;
}
.p-b-90 {
  padding-bottom: 90px !important;
}
.padding-90 {
  padding: 90px !important;
}
.p-t-95 {
  padding-top: 95px !important;
}
.p-r-95 {
  padding-right: 95px !important;
}
.p-l-95 {
  padding-left: 95px !important;
}
.p-b-95 {
  padding-bottom: 95px !important;
}
.padding-95 {
  padding: 95px !important;
}
.p-t-100 {
  padding-top: 100px !important;
}
.p-r-100 {
  padding-right: 100px !important;
}
.p-l-100 {
  padding-left: 100px !important;
}
.p-b-100 {
  padding-bottom: 100px !important;
}
.padding-100 {
  padding: 100px !important;
}















/* ----------------------------------------------------------------
	Generic Margin Helpers
-----------------------------------------------------------------*/


.m-t-0 {
  margin-top: 0px;
}
.m-r-0 {
  margin-right: 0px;
}
.m-l-0 {
  margin-left: 0px;
}
.m-b-0 {
  margin-bottom: 0px;
}
.m-t-2 {
    margin-top: 2px;
}
.m-t-5 {
  margin-top: 5px;
}
.m-r-5 {
  margin-right: 5px;
}
.m-l-5 {
  margin-left: 5px;
}
.m-b-5 {
  margin-bottom: 5px;
}
.m-t-7 {
    margin-top: 7px;
}
.m-t-10 {
  margin-top: 10px;
}
.m-r-10 {
  margin-right: 10px;
}
.m-l-10 {
  margin-left: 10px;
}
.m-b-10 {
  margin-bottom: 10px;
}
.m-t-15 {
  margin-top: 15px;
}
.m-r-15 {
  margin-right: 15px;
}
.m-l-15 {
  margin-left: 15px;
}
.m-b-15 {
  margin-bottom: 15px;
}
.m-t-20 {
  margin-top: 20px;
}
.m-r-20 {
  margin-right: 20px;
}
.m-l-20 {
  margin-left: 20px;
}
.m-b-20 {
  margin-bottom: 20px;
}
.m-t-25 {
  margin-top: 25px;
}
.m-r-25 {
  margin-right: 25px;
}
.m-l-25 {
  margin-left: 25px;
}
.m-b-25 {
  margin-bottom: 25px;
}
.m-t-30 {
  margin-top: 30px;
}
.m-r-30 {
  margin-right: 30px;
}
.m-l-30 {
  margin-left: 30px;
}
.m-b-30 {
  margin-bottom: 30px;
}
.m-t-35 {
  margin-top: 35px;
}
.m-r-35 {
  margin-right: 35px;
}
.m-l-35 {
  margin-left: 35px;
}
.m-b-35 {
  margin-bottom: 35px;
}
.m-t-40 {
  margin-top: 40px;
}
.m-r-40 {
  margin-right: 40px;
}
.m-l-40 {
  margin-left: 40px;
}
.m-b-40 {
  margin-bottom: 40px;
}
.m-t-45 {
  margin-top: 45px;
}
.m-r-45 {
  margin-right: 45px;
}
.m-l-45 {
  margin-left: 45px;
}
.m-b-45 {
  margin-bottom: 45px;
}
.m-t-50 {
  margin-top: 50px;
}
.m-r-50 {
  margin-right: 50px;
}
.m-l-50 {
  margin-left: 50px;
}
.m-b-50 {
  margin-bottom: 50px;
}
.m-t-55 {
  margin-top: 55px;
}
.m-r-55 {
  margin-right: 55px;
}
.m-l-55 {
  margin-left: 55px;
}
.m-b-55 {
  margin-bottom: 55px;
}
.m-t-60 {
  margin-top: 60px;
}
.m-r-60 {
  margin-right: 60px;
}
.m-l-60 {
  margin-left: 60px;
}
.m-b-60 {
  margin-bottom: 60px;
}
.m-t-65 {
  margin-top: 65px;
}
.m-r-65 {
  margin-right: 65px;
}
.m-l-65 {
  margin-left: 65px;
}
.m-b-65 {
  margin-bottom: 65px;
}
.m-t-70 {
  margin-top: 70px;
}
.m-r-70 {
  margin-right: 70px;
}
.m-l-70 {
  margin-left: 70px;
}
.m-b-70 {
  margin-bottom: 70px;
}
.m-t-75 {
  margin-top: 75px;
}
.m-r-75 {
  margin-right: 75px;
}
.m-l-75 {
  margin-left: 75px;
}
.m-b-75 {
  margin-bottom: 75px;
}
.m-t-80 {
  margin-top: 80px;
}
.m-r-80 {
  margin-right: 80px;
}
.m-l-80 {
  margin-left: 80px;
}
.m-b-80 {
  margin-bottom: 80px;
}
.m-t-85 {
  margin-top: 85px;
}
.m-r-85 {
  margin-right: 85px;
}
.m-l-85 {
  margin-left: 85px;
}
.m-b-85 {
  margin-bottom: 85px;
}
.m-t-90 {
  margin-top: 90px;
}
.m-r-90 {
  margin-right: 90px;
}
.m-l-90 {
  margin-left: 90px;
}
.m-b-90 {
  margin-bottom: 90px;
}
.m-t-95 {
  margin-top: 95px;
}
.m-r-95 {
  margin-right: 95px;
}
.m-l-95 {
  margin-left: 95px;
}
.m-b-95 {
  margin-bottom: 95px;
}
.m-t-100 {
  margin-top: 100px;
}
.m-r-100 {
  margin-right: 100px;
}
.m-l-100 {
  margin-left: 100px;
}
.m-b-100 {
  margin-bottom: 100px;
}






.full-height {
  height: 100% !important;
}
.full-width {
  width: 100%;
}
.hide {
  display: none;
}
.inline {
  display: inline-block !important;
}
.block {
  display: block;
}
.b-blank {
  border-color: #000;
}

.bolder {
    font-weight: bolder;
}














/* ----------------------------------------------------------------
	AgentLocator Margin/Padding Helpers
-----------------------------------------------------------------*/


.allmargin {
    margin: 50px !important;
}

.leftmargin {
    margin-left: 50px !important;
}

.rightmargin {
    margin-right: 50px !important;
}

.topmargin {
    margin-top: 50px !important;
}

.bottommargin {
    margin-bottom: 50px !important;
}

.clear-bottommargin {
    margin-bottom: -50px !important;
}

.allmargin-xs {
    margin: 10px !important;
}

.leftmargin-xs {
    margin-left: 10px !important;
}

.rightmargin-xs {
    margin-right: 10px !important;
}

.topmargin-xs {
    margin-top: 10px !important;
}

.topmargin-xxs {
    margin-top: 5px !important;
}

.bottommargin-xs {
    margin-bottom: 10px !important;
}

.bottommargin-xxs {
    margin-bottom: 5px !important;
}

.clear-bottommargin-xs {
    margin-bottom: -10px !important;
}

.allmargin-sm {
    margin: 30px !important;
}

.leftmargin-sm {
    margin-left: 30px !important;
}

.rightmargin-sm {
    margin-right: 30px !important;
}

.topmargin-sm {
    margin-top: 30px !important;
}

.bottommargin-sm {
    margin-bottom: 30px !important;
}

.bottommargin21 {
    margin-bottom: 21px !important;
}

.clear-bottommargin-sm {
    margin-bottom: -30px !important;
}

.allmargin-lg {
    margin: 80px !important;
}

.leftmargin-lg {
    margin-left: 80px !important;
}

.rightmargin-lg {
    margin-right: 80px !important;
}

.topmargin-lg {
    margin-top: 80px !important;
}

.bottommargin-lg {
    margin-bottom: 80px !important;
}

.clear-bottommargin-lg {
    margin-bottom: -80px !important;
}

.nomargin {
    margin: 0 !important;
}

.noleftmargin {
    margin-left: 0 !important;
}

.norightmargin {
    margin-right: 0 !important;
}

.notopmargin {
    margin-top: 0 !important;
}

.nobottommargin {
    margin-bottom: 0 !important;
}

#refreshListLink{
    display: none;
}

.swal-custom-width {
    width:850px !important;
}

.invalid-feedback {
    display: none;
    font-size: 14px;
    line-height: 17px;
    color: #F44336;
    margin-bottom: 8px;
}

@media (min-width: 992px) {
    /** Five equals columns in row - fit content **/
    .five-three {
        width: 60% !important;
        padding-right: 0px;
    }

    .five-two {
        width: 40% !important;
        padding-left: 0px;
    }
}

@media only screen and (max-width: 992px) {
    .five-three {
        padding-left: 0px;
        padding-right: 0px;
    }

    .five-two {
        padding-left: 0px;
        padding-right: 0px;
    }
}

.pending-changes-warn.toast-info {
    background-color: #333333D9;
}

.swal2-container {
    z-index: 9999 !important;
}

.single-property-figure-clickable-address {
    display: -webkit-box;
    max-width: 270px;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}